package com.chenyang.nse.bussiness.controller.core;

import com.chenyang.nse.bussiness.tools.io.FileTool;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/core/externaldata"})
public class ExternalDataExchangeController {
   private static Logger logger = LoggerFactory.getLogger(ExternalDataExchangeController.class);

   @RequestMapping
   public String index(HttpServletRequest request, HttpServletResponse response, Model model) {
      return "core/externaldata/shenzhenhospitaldataexchange";
   }

   @RequestMapping({"/executeMasking"})
   @ResponseBody
   public String executeMasking(HttpServletRequest request, HttpServletResponse response, Model model) {
      String result = FileTool.htmlTM("/data/infa_file/hospital_file");
      return result;
   }
}
